Get Deployment Job Result Summary
Use this API to get details of the deployment job results based on the provided deployment job ID.
Input ParametersInput Parameters
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
|
deploymentJobId |
Mandatory |
string |
Specify the deployment job ID for which you want to fetch the results. |
|
filter |
Optional |
string |
Specify the QQL to filter jobs based on deployment jobs search criteria. For example, tags.name:"cloud agent" |
|
pageNumber |
Optional |
string |
The page to be returned. Default value: 0 |
|
pageSize |
Optional |
string |
Limit number of rows to be returned per page. Default value: 10 |
|
sort |
Optional |
string |
Sort the jobs by certain data. For example, [{"status":"asc"}] |
|
jobinstanceId |
Optional |
string |
Specify the job instance ID to get the deployment job results for a particular run of the deployment job. If you don't specify the job instance ID, the deployment job results for the latest job run are returned. |
Sample - Get the job result summary for a jobSample - Get the job result summary for a job
API Request
curl -X GET
"<qualys_base_url>/pm/v1/deploymentjob/16be09aa-5415-4a58-8295-8a4ac8db6f26"
-H "accept: application/json"
-H "Authorization: Bearer <<jwt token>>"
API Response
{
"id": "4cd571f5-e470-4b7d-926d-eb7cafb7326d",
"name": "WinOnDemJob_Update_1742921174193",
"assetCount": 1,
"patchCount": 2,
"createdBy": "quays_vy59",
"createdOn": 1742921172719,
"assets": [
{
"asset": {
"id": "6df4bc50-83ce-49e5-a5c2-1814413f8057",
"name": "PMUI_AUTOMATION_ASSET_WINDOWS_EXCLUSION",
"operatingSystem": "Windows Microsoft Windows 10 Pro 10.0.17134 Build 17134",
"tags": [
{
"id": "236bdc33-a0c7-4baf-8ce3-fc89ad5302ce",
"name": null
},
{
"id": "6d1cd4b6-378d-4c95-ad47-f459882e7c35",
"name": null
},
{
"id": "e8acf5ba-577f-47b7-80a8-8888704d9117",
"name": null
},
{
"id": "ce1e4d6a-7119-4177-9bcc-0b31c39aad1b",
"name": null
}
],
"lastLoggedOnUser": "",
"successPatches": 0,
"installedPatches": 0,
"failedPatches": 0,
"supersededPatches": 0,
"notApplicablePatches": 2,
"executing": 0,
"pendingExecution": 0,
"pendingReboot": 0,
"pendingVerification": 0,
"jobInstanceId": 1,
"interfaces": [
{
"interfaceName": null,
"macAddress": null,
"address": "10.115.109.163",
"gatewayAddress": null
}
],
"skipPatchCount": 2,
"additionalFields": {
"failedPatchRetryNumber": 1,
"totalAvailableFailedPatchRetries": 3
}
},
"endDateTime": 1742925811729,
"startDateTime": 1742921179378,
"statusDateTime": 1742925808761,
"status": "Reattempting",
"statusCode": "20740",
"jobSentOn": 1742921262874,
"installed": [],
"failed": [],
"success": null,
"superseded": [],
"notApplicable": [
"b91fca0e-2a07-3155-909c-fc50ba1863ed",
"444ba31a-0f94-3199-870e-ef8ab1a5a477"
],
"failedActionsCount": 0,
"successfulActionsCount": 0,
"skippedActionsCount": 0,
"interimResultStatus": null,
"jobInstanceId": 1,
"totalPatchCount": 0,
"runId": 2,
"scanDateTime": 1742990566879,
"pendingForRebootInAnotherJob": false,
"pendingForRebootInAnotherJobName": null,
"osIdentifier": "WINDOWS",
"isolation": null
}
]
}